#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,m,i,j,k,p,mi,mj;
    m=-1;
    scanf("%d",&n);
    int a[n];
    for(i=0;i<n;i++)
    {
        scanf("%d",&a[i]);
        for(j=i-1;j>=0;j--)
        {
            p=0;
            swap(a[i],a[j]);
            for(k=0;k<n;k++)
            {
                p+=(int)pow(10,n-1-k)*a[k];
            }
            if(p>m)
            {
                m=p;
                mi=i;
                mj=j;
            }
            swap(a[i],a[j]);
        }
    }
    swap(a[mi],a[mj]);
    for(i=0;i<n;i++)
    {
        printf("%d ",a[i]);
    }
    return 0;
}